import React, { useContext } from "react";
import { ColorContext } from "../../color-context";
import { ColorContextType } from "../../interfaces";

export function LoadingImage() {
    const { colorCtx } = useContext<ColorContextType>(ColorContext);
    return (
        <svg
            id="a1bb6ffe-8d83-4899-8fa0-fcb3165ea164"
            data-name="Layer 1"
            xmlns="http://www.w3.org/2000/svg"
            width="884.595"
            height="628.60077"
            viewBox="0 0 884.595 628.60077"
        >
            <title>work_in_progress</title>
            <ellipse cx="75.17704" cy="619.60077" rx="75.13932" ry="9" fill="#e6e6e6" />
            <rect x="196.21663" y="0.39024" width="688.37838" height="440.86813" fill="#e6e6e6" />
            <rect x="215.90065" y="55.6861" width="649.01033" height="359.49048" fill="#fff" />
            <rect
                x="195.9227"
                width="688.37838"
                height="29.24483"
                fill={colorCtx?.primary || "#0E5396"}
            />
            <circle cx="217.65511" cy="14.95151" r="5.4203" fill="#fff" />
            <circle cx="238.22923" cy="14.95151" r="5.4203" fill="#fff" />
            <circle cx="258.80335" cy="14.95151" r="5.4203" fill="#fff" />
            <path
                d="M742.44775,281.8936a5.23348,5.23348,0,0,0-.19223,1.234Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M659.44564,319.87593c-.03816-.90346-.19957-1.281-.34635-1.32655C659.20546,319.38822,659.30477,320.07717,659.44564,319.87593Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M657.76939,338.945c-.02932.39133-.0587.75333-.10761,1.19362A1.88,1.88,0,0,1,657.76939,338.945Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M742.25552,283.12759l-.50879,3.17018C742.27457,286.51956,742.13859,284.673,742.25552,283.12759Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M770.88052,253.58909l.96371-.00244a4.96237,4.96237,0,0,0,.80063-.658Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M808.65038,255.25633a1.141,1.141,0,0,1,.86906-.94221,6.21493,6.21493,0,0,0-.864-.97351C808.18871,253.2809,808.68078,254.65558,808.65038,255.25633Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M848.16881,228.32035c.12612-.01917.24615-.038.34187-.05715Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M847.381,228.452l.78785-.13168C847.90772,228.35994,847.61075,228.40121,847.381,228.452Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M740.64555,256.83715a.45758.45758,0,0,0-.49069.22459C740.32661,257.17347,740.49047,257.05882,740.64555,256.83715Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M896.326,229.86313l.07387.64489a3.06818,3.06818,0,0,0,.77053.13955Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M654.72658,362.1037c.0098,0,.0098.0098-.00979.02933,0,.00979-.00979.01958-.01953.02938,0,.01958-.14678.03911-.25439.0587a.8391.8391,0,0,0-.16637-.02938c.14678-.01953.29356-.04891.411-.0587C654.707,362.1135,654.71679,362.1037,654.72658,362.1037Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M544.57257,513.61357c-3.85616-1.22885,6.27575-1.57766.47009-2.944C545.58327,511.20818,539.7659,512.81468,544.57257,513.61357Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M575.3979,379.85189a2.40948,2.40948,0,0,1-.60661.87073C575.08486,380.07691,575.25117,379.88121,575.3979,379.85189Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M632.48757,364.97041a9.63562,9.63562,0,0,1-1.57521-.17611Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M554.96633,384.709a4.26668,4.26668,0,0,0-1.62638.00042,1.626,1.626,0,0,0,.35549.16726A2.46748,2.46748,0,0,1,554.96633,384.709Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M554.96633,384.709c.2043.03577.41808.077.69027.11048A5.335,5.335,0,0,0,554.96633,384.709Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M521.25925,384.82774c.18214.10522.42309.18392.63461.2769.34086-.02311.73894-.0501,1.09-.07387Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M549.81278,385.75161a.13721.13721,0,0,1-.07829.10761C549.7736,385.80052,549.81278,385.75161,549.81278,385.75161Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M890.71159,511.61819c-.22209-.01917-.44173-.0375-.685-.06365C890.28294,511.58756,890.50556,511.60613,890.71159,511.61819Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M899.98519,480.04813c-.0083.00042-.01553.00574-.02389.00574C899.96948,480.09131,899.97736,480.08032,899.98519,480.04813Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M629.55237,365.86073a5.38359,5.38359,0,0,0,1.02731-.3033C631.29389,365.74332,630.31549,365.73353,629.55237,365.86073Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M898.98583,359.48626c.05279-.23194.10778-.4929.17317-.81114C899.09541,358.94916,899.043,359.21628,898.98583,359.48626Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M900.75506,463.691a2.06329,2.06329,0,0,1,.44029-.62619l.13693.4892a8.84769,8.84769,0,0,0-.19563-3.0037,29.14317,29.14317,0,0,0,.37173-3.943c1.0371-.55769.5577-5.59642.6164-8.02283-1.36972.19563-1.15451-2.92547-2.2601-.07829.07829-.16631.12719.66531.1859,2.15249a6.59548,6.59548,0,0,0,.14678,1.0371c-.03911-.049-.07829-.10766-.1272-.16637.02932,1.5948.05871,3.6788.09782,6.04657a9.89108,9.89108,0,0,1-.52831-6.62379c-.88059-1.24259-1.79049-2.6221-2.2112-3.39508,1.91769-3.32652,2.95479-9.74482,4.12888-10.6352-.76318-7.426-.50879-17.4938-3.09178-22.17052-.33262-2.11337.7436-2.42641,1.15451-3.219.25439,1.223.21528,2.67107.58707,3.33638-.6653-4.2267-.25439-12.51372-2.06447-13.5215.81209-5.3225,1.6633,2.9939,1.36979-4.32451l.5479.98819c2.83738-14.13789-4.3441-23.08048-1.07622-38.52939-.12719.57722-.2446.9197-.45988,1.07622,1.634-18.17869-1.53609-37.47271,1.05669-55.41659.51852-5.09743-.62619-5.65512-1.50671-8.76643l1.47733-1.10559-1.7024-5.3225c-1.25232-7.54349,3.62009-13.06168,1.26217-22.6206l-.998,1.23279c.1957-3.43419-.587-10.87007.5577-10.29279a2.43966,2.43966,0,0,1-.50879-2.46558l.773-.10761-1.33067-8.43381c.55769-6.52591,3.07219,1.02731,3.219-8.51209-.29357-3.5418-2.25037-10.0873-2.76889-8.75669-.02938,1.42849-.4794,3.64947-1.25238,3.75708l-.40112-3.2385c-.14678-.03917-.28371-.07829-.43049-.1272v-.51858h-1.39911a2.3532,2.3532,0,0,0-1.8394,0H857.65655l.38153-.38153-1.1545.38153h-4.95071c.14679-.2935.6164-.5381,1.5948-.65551-3.6005-1.00772-3.18959.724-6.27152-.40112-.34247-.1761-.19569-.274.1272-.35226l-3.52228.6066c.69469-.43044-.57722-1.43822,1.57521-1.14471-6.30089-1.17409-10.16553,1.5263-12.543-.01953l.52831-.11746c-6.54549.50878-3.77661,1.08607-4.71589,2.084H824.616l-.82188-.68483-1.10559-.9197a7.79269,7.79269,0,0,0-1.223-.9197,11.583,11.583,0,0,0-.90012,1.48713c-1.01751-.04891-3.1113-.15652-3.01348-.76312-1.79043.51852-1.41864.6751-.98814.83162.46961.15657,1.0371.3033.313.7925a18.45938,18.45938,0,0,0-3.49284-.47941c-.12719,2.17208.02932,4.804-.01959,6.80969-.0489,2.09373-.2935,3.44392-1.25238,3.86469,1.135,1.55562.88059-4.1582,1.67309.47941-2.5634,1.30122.4305,5.42031-.74359,9.285-1.32082-1.11539-.6164-4.9507-1.80023-.95881a3.48217,3.48217,0,0,1,.80224,1.38931,4.35527,4.35527,0,0,1,.03917,1.5948,14.69191,14.69191,0,0,1-.7925,2.7493,4.82654,4.82654,0,0,0-1.7709-.10761c.587.89032-.724,1.07621-2.6906,1.11533-1.18389,0-2.54388.00979-3.93319.00979-1.4578.01959-2.95478.0587-4.36368.20549.35227-.59681-10.5765-.96861-15.80113-1.61439l.14673-.3033c-1.00772,1.80029-6.39872,1.45781-10.3319,1.82961.15658-1.07622.861-1.49692,2.9939-1.97633l-3.69832.00973c-.87079.57728-2.0155.88059-4.41259,1.08607l.92949-1.35019c-2.4558.03911-4.93112.44023-7.5826.71421-1.33061.137-2.6906.2348-4.12888.25439-.71421.0098-1.448-.00979-2.2014-.04891-.3718-.01958-.75333-.049-1.13492-.08808q-.64575-.07336-1.29149-.14678c-.137.31309.34241.69468.64577,1.08607a8.80637,8.80637,0,0,1,1.01752,1.23279.85294.85294,0,0,1,.088.84141h-3.4244c.00979-.3718.23487-.70448.95887-.88058a7.38655,7.38655,0,0,1-3.10157.20548c.78277-.3718,1.69267-.75339,2.72-1.135-3.71791-.49893-1.5263.94908-4.13861.84147-.53817-.95887-2.5047-.68489-2.72-1.44807.7338-.09782,2.84718.39138,3.7864.01959-1.947-.09782-4.24622-.32289-6.3596-.636a8.3257,8.3257,0,0,1-.84141,2.7004c.5479.04891,1.30129.9686,1.4187,3.4831.03911,3.219-.2544,3.73749-.6164,3.943-.17611.09782-.3718.10761-.5577.362a2.28648,2.28648,0,0,0-.26418.5577,3.932,3.932,0,0,0-.21522.812c.6653,1.19368-.02938,4.32457,1.41869,4.41259-.00979,1.43828-.68489,1.70241-1.07628,2.2601.636,2.54388.1859,11.87779,1.722,9.01109l.09781-.65551c.02938.12719.03918.26412.0685.4207a39.85871,39.85871,0,0,1,.46967,7.6413c-.0587,2.13291-.26419,4.1582-.45988,5.9389-1.43822-.1272-2.76889-.23481-4.01141-.29351-.62619-.01959-1.2328-.03918-1.8394-.01959l-1.17409.02932c-.41091.02938-.83162.049-1.24259.0685l.01959-.47941c-4.94091.5479-10.99721.32289-14.51942,1.36978-1.45787-.00979-3.444-.89037-2.8178-1.4578-3.77667.362-4.19738.90011-9.64707.10761,3.7864-.84141-1.311-.75339,3.88428-.6164-4.90179-.4207-6.01719-1.19368-11.281.1272,1.79049-1.24259-3.68853-1.55568-6.01713-1.19368l3.4342.89038a61.23355,61.23355,0,0,1-7.24019-.03918l1.25233-1.62412c-5.00941-.98819-9.5394-.14678-13.766.52832a39.94327,39.94327,0,0,1-6.13459.636l-.74359-.00979-.949-.04891c-.7338-.03911-1.47739-.09787-2.23078-.1859a45.24887,45.24887,0,0,1-4.90179-.861c-1.76111.56748.58707.76318,2.7493.98819,2.221.225,4.23649.47941,2.71019,1.14471a78.21973,78.21973,0,0,1-9.63722-1.24259,37.73365,37.73365,0,0,0-1.32088,6.526c-.1174,1.28171-.15651,2.446-.15651,3.47331,0,.50879.00979.998.03911,1.448.00979.20548.01959.50878.03912.6066.01958.1174.03917.2446.0587.362a10.96406,10.96406,0,0,0,.79256,2.45579,11.43282,11.43282,0,0,1,.98813,6.3694c.57728-.85121,2.13291-1.64371,2.67107,3.2972-.1174,2.73951-.95887,4.23649-1.7122,4.37348-.4207.088-.81208-.25439-1.0371-1.01757a3.13135,3.13135,0,0,1-.14678-.59681c-.04891-1.1056.137-1.63391.33268-1.5948-.21528-1.48719-.45988-3.444-1.08607-1.61432l.57728.59681a18.17241,18.17241,0,0,0-.37179,2.54381c-.26419,2.6319-.42071,5.6943-1.11539,4.60829.4794,2.9841.84141,1.9568,1.12518-.02938-.6164,5.28338.0685,8.57079-.45988,14.29446.32289-.96866,1.00778-1.86877.998-.90017-.724,8.94259,1.1056,3.943,1.36,9.99928-.89038,3.44393-2.11338-1.23279-1.37958,4.86262-.59681,3.7277-1.53609.7925-2.00571-.68489a21.70749,21.70749,0,0,1,.01959,7.67068c-.02938.16631-.04891.33268-.07829.4892-.01958.1174-.03911.2446-.0587.362l-.03911.20549c-.0098.0587-.01959.04891-.02938.06849l-.07829.09782a1.78726,1.78726,0,0,1-.29351.26419,2.917,2.917,0,0,0-.39133.27392,1.99115,1.99115,0,0,0-.35226-.42071.64863.64863,0,0,1,.15657.499,3.63058,3.63058,0,0,0,.3718.21522,3.758,3.758,0,0,0,.7925.3033c-.19569.28377-.20548.56749-.58707.21528a.64064.64064,0,0,1-.11741-.10761,6.96929,6.96929,0,0,0,1.21327,1.37952c.50873.51858,1.11533,1.07621.53811,1.59479a6.09822,6.09822,0,0,0-2.4558-.09781c-.20548.00973-.41091.00973-.6066,0a7.8201,7.8201,0,0,1-.9197-.10767,1.638,1.638,0,0,1-1.23279-.70442c.9099.06849,1.56541.088,2.05461.07829.26419,0,.362-.03918.4403-.10767.137-.11741.03917-.34242-.04891-.57723-.16631-.40117-.225-.8512.06849-1.07627a.5771.5771,0,0,1-.137.01959.83366.83366,0,0,1-.25439-.04891c-.3718-.02938-.75333-.0685-1.15451-.10761-.25439-.17611.2446-.32289.71422-.411-.52832-.10761-.99793-.1859-1.40884-.2446a6.87554,6.87554,0,0,0-2.45579,0c-1.7807.4207-1.39911,1.97638-6.44769,1.94706.90011-.861-1.66329-1.64376-2.82759-1.45786,2.88629.01958,1.37958,1.44807-1.26211,2.11337-4.5887-.67509-4.98008.499-7.38691.42071l2.73951.32289c-.92949.87073-3.21892.75333-6.40851,1.02731-.08808-.21528.15652-.33269.50873-.42071-3.2972.50873-7.24992-1.76111-11.58422-.9197a.57568.57568,0,0,0-.1272.01953c-2.28948-.587-.225-1.62412-2.24051-2.02524-5.53778,1.12513-5.9976-1.19367-11.82889-.26418,1.68288,1.17409,1.97639.89032-2.1329,2.02529l9.58831-.82188-6.15412,1.69267c2.896.01953,6.10521-.7338,7.837-.52837-2.9352.94908-2.6319.65551-1.24259,1.62418-3.96251-1.75138-7.84679,1.0273-12.4159-.15658l.137-2.896a27.20633,27.20633,0,0,0-8.77628.03912l-1.11533.14672-.55769.0685-.14679.01958-.225.01959-.45988.03912c-1.20341.08808-2.42641.18589-3.68853.28371-2.47538.16637-4.99967.28377-7.8859.26419-.00979,1.29149-.049,2.6319-.11746,4.031l.45988-3.68853.362.03912a.39668.39668,0,0,1-.1761.14672,18.35844,18.35844,0,0,1,.41091,5.53778c0,.16631-.0098.34241-.0098.51852v.00979c-.01952.9197-.0489,1.87857-.0587,2.83739q0,.85124.02938,1.67308c.0098.27392.02932.53811.03912.80224l.02938.38159.03911.26419c-.9686-.274-1.32081,1.53609-1.91768,2.76888.17616-.03917.26419.35221.32289.96861.0587.25439.08808.56743.15657.93923a5.1731,5.1731,0,0,0,1.37952,2.70039,2.42161,2.42161,0,0,1-.499.38159,17.13229,17.13229,0,0,1-1.76111-.77291,2.825,2.825,0,0,0-1.78069.20542c-.1272.0587-.2544.1272-.3816.19569a.98459.98459,0,0,1-.32282.10761c-.137.03918-.274.07829-.40118.11741-.53811.16637-1.0469.34247-1.54589.51858a17.20131,17.20131,0,0,1-7.47493,1.2817c2.084-1.0469-1.06648-1.73179,3.58092-2.48512-2.31881-.00979-4.393-.18589-4.43212.47941a1.99028,1.99028,0,0,0-.79251-.1174c-1.16429.00973-3.03307.45982-4.74527.6653a8.03771,8.03771,0,0,1-2.47532,0,2.08861,2.08861,0,0,1-.52838-.15658,2.96469,2.96469,0,0,0-.3033.15658A4.67734,4.67734,0,0,1,549.803,386.231a.25008.25008,0,0,1-.06849-.3718c-.51852.40118-3.81579.62619-1.7122,1.61439-3.082-1.30129-7.2206-1.43828-11.4375-1.37958-5.52793.0685-11.17331.47947-14.69559-.98813-2.52423.15651-5.30291.32283-8.03262.45-1.36.04891-2.71019.10767-4.00169.15658-.64571.01953-1.2817.03911-1.8883.0587-.68489.0098-1.3404.02932-1.96659.03912.19569-.14673.19569-.26419.3033-.33263a1.22958,1.22958,0,0,1,.75339-.049c-.17611-.01953-.29351-.04891-.50879-.05871-.21522-.01952-.4305-.02932-.63593-.0489-.411-.01959-.7925-.02932-1.14477-.03912a15.30767,15.30767,0,0,0-1.80022.09782,5.38684,5.38684,0,0,0-2.084.64578,5.77888,5.77888,0,0,1-3.5418,1.3306,17.04431,17.04431,0,0,1-.15658,3.15042c-.39132.85121-.63592,1.0469-.80223.76318a5.76562,5.76562,0,0,1-.28378-1.80028c-.088-1.55562-.0587-3.31673-.35221-2.00571-1.585-.70441-1.47739,3.033-1.20341,7.12278.13693,2.37751.3131,3.41461.34242,4.91153a10.80214,10.80214,0,0,1-.5577,4.02127l-.1859-1.17409c-1.086,3.69832,1.20348,9.03061.9784,15.07712,0,0-.28371-.29351-.4794-.03912,1.61438,4.13861,2.15249,11.96581,2.60252,17.77751-1.24253-1.81-.65552-2.64169-1.91763-1.53609.1761,2.61231,2.02529-.76312,2.3775,4.442-.67509,1.69261-1.2719,5.44964-2.6221,5.94863l-.07829-4.91153c-1.74152,2.51444.0685,6.34981-.23481,8.94253l-.76318-.33262c.2446,7.5239,2.16229,7.63151,2.0253,15.7131l.57728-.83168c1.90789,4.42239-1.06648,3.70818.35221,8.111l-1.93721,1.3404c.46961,2.91561,1.86872,10.20471,2.23072,15.43912-1.42843-2.96452-2.16223-9.07952-3.01343-12.86592-.00979,2.88629.14672,9.82311,1.0958,11.32989-.1859-1.1643-.65557-2.6319-.362-3.78647,1.51651,3.54187,2.2601,8.20879,2.23072,13.97158-1.223-.33268-1.75131,1.15451-2.00571,3.46352-.00979.14678-.02938.29357-.03911.45008-.0098.21522-.02938.4403-.03918.66531-.01952.45988-.03911.92949-.06849,1.41869-.01953.9784-.04891,2.0155-.07823,3.07219-.049,2.16223-.09788,4.43212-.14678,6.63352,4.47129.14678,8.58058.46961,10.96788,1.47739l.8023-.06849.49893-.0587.95887-.09782q.9539-.088,1.90783-.14678c1.272-.088,2.54388-.11741,3.82558-.1272,2.55361-.00979,5.1366.09788,7.7685.2446,5.2638.29351,10.733.7338,16.67191.6164-4.2071-2.90582,3.46358-.07829,2.73951-3.07219,2.73957-.1859,3.7962-.13693,4.05059.049l-.40112-.08809c.14673.03912.26413.0685.42071.10761v-.00979l8.3751,1.78069c1.98612.87079-2.6319.65558-2.3775,1.33061,6.05629.23487,2.54381,1.272,6.54549,2.06447-.82188-1.06648,2.10353-1.53609,5.55731-1.12518L558.2759,513.335c8.46318-1.5948,7.31847,2.5145,15.8403.92943l-2.70034.94908c4.38322-.55769,16.1436.01959,20.43873-2.3873.773.34242,1.80028,1.1643-.12719,1.37952,10.45909.36207,23.27617-2.55361,31.40667-1.07621l-.7925.7338c1.947-.21522,3.395-1.37952,5.841-.64572-.1272.3033-.7925.7338.1174.77291,1.02731-.2446,5.17577-1.2817,7.7685-.8512l-2.2112.82182c6.41831.60667,10.9581-.34241,15.57618-1.26211a61.39013,61.39013,0,0,1,8.62949-1.24259c-.01959,2.15249,8.0033,2.857,12.01472,3.19939l-.14678.3033a106.329,106.329,0,0,0,14.25529-.69469c3.62989-.40111,7.1521-.9099,10.8798-1.33061h.0098c.2348-.02932.46967-.0587.71427-.088.861-.09787,1.74152-.1859,2.6319-.274.27392-.02932.55763-.0587.84141-.088q.9099-.07346,1.84919-.14679a38.24031,38.24031,0,0,0,9.54913,1.3502c7.6511.3718,17.27858.0685,24.55788.93929-1.68288-.39139.27392-1.68288,2.22092-1.8981,2.41668.41091,6.56509-1.26218,6.7314.15652a.94917.94917,0,0,1-.01953.32288l-.87079-.03917h-.04891l.0098.00979c1.947,1.92748,7.23033,1.4187,11.35921,1.4676l.67509-2.583c10.81131,3.75709,28.32469-1.37951,34.22442,1.98618,2.61231-.64571,5.84107-.636,8.424-1.2817l-.13693,1.37952a184.91357,184.91357,0,0,0,19.76364.19569l-1.81981.998c5.03878.088,6.3596-4.00168,11.01679-4.07991l1.38931,2.06441c8.79581-.02938,17.68949,1.79049,26.37768-.08808-.137.3033-.40117.90017-1.81981.98819,4.00163.04891,15.2337,1.31108,14.60751-1.17409.95881,1.3991,9.21651-.1272,13.70739-.90011l-.7338,1.36c2.00571-.87079,3.033-1.42849,4.26581-1.81981a14.25085,14.25085,0,0,1,2.1427-.499c.45-.06849.88052-.137,1.49692-.19569.74359-.0587,1.585-.1174,2.53408-.1859,1.68282.16631,1.9666.9197-.00979.81209a12.65891,12.65891,0,0,0,4.41259-.19569,12.72009,12.72009,0,0,1,3.757-.59681,25.06637,25.06637,0,0,1,.15658-2.945c.29351,1.13491.587,2.33839.87079,3.61029a33.18583,33.18583,0,0,0-.26418-6.27157c-.23481-1.25232-.60661-2.18181-1.1056-3.9136-.03912-.23481-.0685-.4892-.088-.75333-.01959-.2446-.03918-.4892-.05877-.75339-.01952-.43049-.02932-.90011-.01952-1.36978a22.13718,22.13718,0,0,1,.28371-2.90582c.3033-1.8883.84141-3.49289,1.45781-3.82558-.75333-.61633-1.76111-3.10151-1.4089-5.78231.46967-.362.76318.6066.90017,1.10559.92943-7.60218-1.585-11.3103-.2446-16.535a1.149,1.149,0,0,0,.812-.88052c-.02932,5.53771-.09782,10.0775-.1859,10.43951,1.24259-.0685,1.4676-4.85289,3.18959-.998C902.22266,475.13822,900.168,468.446,900.75506,463.691Zm1.10559-10.12648c.19563,1.62418-.07829,2.16229-.362,2.3873-.01959-.76312-.0685-1.66329-.16637-2.83738-.04891-.03912-.10761-.13693-.16631-.18584A1.86326,1.86326,0,0,1,901.86065,453.56451Zm-56.0036-223.9166a2.15461,2.15461,0,0,1,.46961.21522h-2.0742C844.75145,229.7849,845.27977,229.71641,845.85705,229.64791Z"
                transform="translate(-157.7025 -135.69961)"
                fill={colorCtx?.primary || "#0E5396"}
            />
            <path
                d="M655.35277,362.62223a.36337.36337,0,0,1-.2446.1174A.8131.8131,0,0,1,655.35277,362.62223Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M629.32778,365.90408c.07619-.01188.1509-.03.22632-.045C629.47569,365.87237,629.39973,365.88742,629.32778,365.90408Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M900.05326,450.65851a5.23178,5.23178,0,0,1-.10026-.66691c-.12182.33053-.22454.64488-.30915.96514l.431.57292Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M742.44775,281.8936a1.38713,1.38713,0,0,1,.19569-.45247c-.06653.144-.10958.144-.1644.23653Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M810.82718,228.21405c.4416.01069.94119.64805.84577,5.32949l.29452-5.7524,2.16091.10421c-1.74445-.5313-4.62471-1.24552-.63819-1.37319-1.37337-.16028-2.42128-.28264-3.16057-.36893C810.00207,228.91173,810.38557,228.22612,810.82718,228.21405Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M810.90248,252.15625c-.12355-1.09616-.31638-1.12692-.51589-.99823-.19946.1395-.40554.4191-.55549.28252C810.31493,252.73914,810.43675,253.36856,810.90248,252.15625Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M715.64685,293.75144l.3408-1.25142C713.37719,292.68007,715.96269,292.98486,715.64685,293.75144Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <polygon
                points="512.774 155.795 512.991 155.778 513.393 155.743 515 155.606 516.14 155.427 513.963 155.654 512.874 155.767 511.096 155.881 512.437 155.812 512.774 155.795"
                fill="#7f77ff"
            />
            <path
                d="M527.37777,383.61208l.78886,1.54052C529.931,384.87664,530.30115,383.14492,527.37777,383.61208Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M495.16641,462.51224a7.34652,7.34652,0,0,0-.50872,5.77037C494.7638,465.98059,495.36456,463.68454,495.16641,462.51224Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <polygon
                points="600.654 378.825 604.535 378.395 602.713 378.309 600.654 378.825"
                fill="#7f77ff"
            />
            <path
                d="M777.38858,388.227a148.54113,148.54113,0,0,1-4.94091,35.14411c-11.8582,43.83231-44.302,75.72812-61.786,90.3161a38.24031,38.24031,0,0,1-9.54913-1.3502q-.93929.07336-1.84919.14679c-.28378.02932-.56749.0587-.84141.088-.89038.08808-1.7709.17611-2.6319.274-.2446.02932-.47947.0587-.71427.088h-.0098a222.09212,222.09212,0,0,1-12.1028-45.79889l-.00973-.0098v-.00973c-3.02329-20.07679-3.51249-43.63668,2.85691-67.177a146.41947,146.41947,0,0,1,11.26139-28.77471c22.738-44.12588,62.0599-70.41548,62.0599-70.41548S778.56267,340.65719,777.38858,388.227Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#fff"
            />
            <path
                d="M657.76939,338.945c-.02932.39133-.0587.75333-.10761,1.19362A1.88,1.88,0,0,1,657.76939,338.945Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#fff"
            />
            <path
                d="M629.55237,365.86073a5.38359,5.38359,0,0,0,1.02731-.3033C631.29389,365.74332,630.31549,365.73353,629.55237,365.86073Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#fff"
            />
            <path
                d="M630.91236,364.7943l1.57521.17611A9.63562,9.63562,0,0,1,630.91236,364.7943Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#fff"
            />
            <path
                d="M654.44287,362.22111a.8391.8391,0,0,0-.16637-.02938c.14678-.01953.29356-.04891.411-.0587.01953-.01953.02932-.02933.03911-.02933s.0098.0098-.00979.02933c0,.00979-.00979.01958-.01953.02938C654.69726,362.182,654.55048,362.20152,654.44287,362.22111Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#fff"
            />
            <path
                d="M655.35277,362.62223a.36337.36337,0,0,1-.2446.1174A.8131.8131,0,0,1,655.35277,362.62223Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#fff"
            />
            <path
                d="M711.21939,467.05663c0,.01958-.0098.03917-.0098.05876a221.77814,221.77814,0,0,1-11.94622,45.3684c-.28378.02932-.56749.0587-.84141.088-.89038.08808-1.7709.17611-2.6319.274-.2446.02932-.47947.0587-.71427.088h-.0098c-3.7277.42071-7.24991.9295-10.8798,1.33061-17.3079-14.31393-50.45609-46.474-62.461-90.89332a148.00177,148.00177,0,0,1-4.9507-35.1539,180.07086,180.07086,0,0,1,.96861-23.237c4.3343-.84141,8.287,1.42843,11.58422.9197-.35221.088-.59681.20543-.50873.42071,3.18959-.274,5.479-.15658,6.40851-1.02731l-2.73951-.32289c2.40683.07829,2.79821-1.0958,7.38691-.42071,2.64169-.6653,4.1484-2.09379,1.26211-2.11337,1.1643-.1859,3.7277.59687,2.82759,1.45786,5.04858.02932,4.667-1.52636,6.44769-1.94706h2.45579c.41091.0587.88052.137,1.40884.2446-.46962.08808-.96861.23486-.71422.411.40118.03911.78271.07823,1.15451.10761a.83366.83366,0,0,0,.25439.04891.5771.5771,0,0,0,.137-.01959c-.29351.22507-.2348.6751-.06849,1.07627.08808.23481.1859.45982.04891.57723-.07829.06849-.17611.10767-.4403.10767-.4892.00973-1.14471-.0098-2.05461-.07829a1.638,1.638,0,0,0,1.23279.70442,7.8201,7.8201,0,0,0,.9197.10767c.19569.00973.40112.00973.6066,0a6.09822,6.09822,0,0,1,2.4558.09781c.57722-.51858-.02938-1.07621-.53811-1.59479a6.96929,6.96929,0,0,1-1.21327-1.37952.64064.64064,0,0,0,.11741.10761c.38159.35221.39138.06849.58707-.21528a3.758,3.758,0,0,1-.7925-.3033h.71421v-1.56542c.02938-.15652.04891-.32289.07829-.4892a21.70749,21.70749,0,0,0-.01959-7.67068c.46962,1.47739,1.4089,4.41259,2.00571.68489-.7338-6.09541.4892-1.41869,1.37958-4.86262-.25439-6.0563-2.084-1.05669-1.36-9.99928.00979-.9686-.6751-.06849-.998.90017.52838-5.72367-.15652-9.01108.45988-14.29446-.28377,1.98618-.64578,3.01348-1.12518.02938.69468,1.086.8512-1.97639,1.11539-4.60829.225.21528.45982.44029.69468.66531.34242.33268.69463.67509,1.0371,1.01757,12.19083,11.96581,26.4853,28.716,37.1205,49.4092a.00953.00953,0,0,1,.00973.00973,145.50852,145.50852,0,0,1,11.27119,28.765C714.71228,423.45913,714.23287,446.9799,711.21939,467.05663Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#fff"
            />
            <path
                d="M575.3979,379.85189a2.40948,2.40948,0,0,1-.60661.87073C575.08486,380.07691,575.25117,379.88121,575.3979,379.85189Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#3f3d56"
            />
            <path
                d="M549.81278,385.75161a.13721.13721,0,0,1-.07829.10761C549.7736,385.80052,549.81278,385.75161,549.81278,385.75161Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#3f3d56"
            />
            <path
                d="M695.79006,512.84579c-.2446.02932-.47947.0587-.71427.088h-.0098c-3.7277.42071-7.24991.9295-10.8798,1.33061a106.329,106.329,0,0,1-14.25529.69469l.14678-.3033c-4.01142-.34242-12.03431-1.0469-12.01472-3.19939a61.39013,61.39013,0,0,0-8.62949,1.24259c-21.1628-6.88792-45.8087-18.55049-65.97351-38.17719-28.42256-27.65932-41.24937-64.61351-46.87517-88.42779,4.2169-.0587,8.35551.07829,11.4375,1.37958-2.10359-.9882,1.19368-1.21321,1.7122-1.61439a.25008.25008,0,0,0,.06849.3718,4.67734,4.67734,0,0,0,3.59071-1.19362H561.446v-.6653a1.99028,1.99028,0,0,1,.79251.1174c.03911-.6653,2.11331-.4892,4.43212-.47941-4.6474.75333-1.49692,1.43822-3.58092,2.48512a17.20131,17.20131,0,0,0,7.47493-1.2817c.499-.17611,1.00778-.35221,1.54589-.51858.1272-.03912.26419-.07823.40118-.11741a.98459.98459,0,0,0,.32282-.10761c.1272-.06849.2544-.137.3816-.19569a2.825,2.825,0,0,1,1.78069-.20542,17.13229,17.13229,0,0,0,1.76111.77291,2.42161,2.42161,0,0,0,.499-.38159,5.1731,5.1731,0,0,1-1.37952-2.70039c-.06849-.3718-.09787-.68484-.15657-.93923-.0587-.6164-.14673-1.00778-.32289-.96861.59687-1.23279.94908-3.04287,1.91768-2.76888l-.03911-.26419-.02938-.38159c-.0098-.26413-.02932-.52832-.03912-.80224q-.02937-.82194-.02938-1.67308c.0098-.95882.03918-1.91769.0587-2.83739a192.809,192.809,0,0,1,39.53718,17.09268,148.6658,148.6658,0,0,1,29.2835,21.98462c17.65032,17.1807,29.28351,37.94238,36.89549,56.91357v.00973l.00973.0098A221.65671,221.65671,0,0,1,695.79006,512.84579Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#3f3d56"
            />
            <path
                d="M743.23266,513.16862h.04891a.074.074,0,0,1-.03911.00979Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#3f3d56"
            />
            <path
                d="M861.72667,362.2309s-5.55731,68.03791-51.01379,112.29092c-20.35071,19.8126-45.251,31.50449-66.541,38.36309-.16631-1.4187-4.31472.25439-6.7314-.15652-1.947.21522-3.9038,1.50671-2.22092,1.8981-7.2793-.87079-16.90678-.56749-24.55788-.93929a38.24031,38.24031,0,0,1-9.54913-1.3502q-.93929.07336-1.84919.14679c-.28378.02932-.56749.0587-.84141.088a222.34176,222.34176,0,0,1,12.79743-45.51518c7.6315-18.95161,19.26469-39.69364,36.88569-56.845a148.47045,148.47045,0,0,1,29.2835-21.98462C818.10958,364.60841,861.72667,362.2309,861.72667,362.2309Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#3f3d56"
            />
            <path
                d="M222.12274,322.96377s-13.62736,27.25472-34.68782,33.449,50.79288,0,50.79288,0-3.71655-19.82161,1.23885-22.29931S222.12274,322.96377,222.12274,322.96377Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#a0616a"
            />
            <path
                d="M200.10469,276.1401c-.74115-6.45751,2.79073-12.16674,7.88877-12.7518.05776-.00664.11469-.00341.17241-.00867a7.4433,7.4433,0,0,0-1.924-.03146c-5.098.58506-8.62992,6.29428-7.88877,12.7518.73277,6.38427,5.36876,11.10065,10.40038,10.64146C204.43782,286.11463,200.75142,281.77442,200.10469,276.1401Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#2f2e41"
            />
            <path
                d="M204.67428,284.89568c-6.15653-2.08472-9.81324-7.7148-8.16736-12.5752.01863-.05506.04584-.10518.06571-.15962a7.4438,7.4438,0,0,0-.84929,1.72663c-1.64587,4.86039,2.01084,10.49048,8.16737,12.5752,6.0867,2.061,12.3302-.11967,14.06158-4.86629C215.54414,285.23221,210.046,286.71457,204.67428,284.89568Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#2f2e41"
            />
            <path
                d="M162.07575,404.28776l1.821,52.47189,28.49357,66.89794s-7.43311,34.68783,7.4331,33.449,1.23885-34.68782,1.23885-34.68782l-13.62735-70.61449-2.47771-58.226Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#a0616a"
            />
            <circle cx="84.24185" cy="178.5922" r="27.25472" fill="#a0616a" />
            <path
                d="M264.24366,361.36815l-26.85938-10.73037s-5.35074.81956-20.21695,2.05841-21.46714.07033-21.46714.07033-31.80344,11.07933-30.56459,17.27358,14.86621,104.06346,21.06047,99.10806,9.9108-6.19425,9.9108-6.19425l68.13679-6.19426Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#cfcce0"
            />
            <path
                d="M170.091,367.5624h-4.03164s-4.64032,2.4777-4.64032,9.91081-3.71655,29.73241-3.71655,29.73241h19.82161Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#cfcce0"
            />
            <path
                d="M206.6371,379.33148,191.674,355.16025a3.38152,3.38152,0,0,0-3.29464-1.57554l-3.90194.48774a3.38155,3.38155,0,0,0-2.84585,4.23455l7.66166,28.45759s12.11421,50.27251.48228,77.168l-.48228,12.02927s-11.14965,37.16552-8.672,65.65909,3.71655,53.27058,3.71655,53.27058-6.19425,18.58276-3.71655,24.777c.74331,1.85827.59465,4.60852.0223,7.54832-3.49351,17.94393-4.3954,36.29645-3.9015,54.57063l.16264,6.01784s-8.672,7.4331-1.23885,8.67195,30.97127,3.71656,30.97127,3.71656,4.95541-8.672,2.4777-9.91081l7.43311-40.88207s12.38851-17.34391,11.14966-28.49357c0,0,3.71655-18.58276,0-27.25472l1.23885-54.50943,4.9554,65.65909-7.4331,81.76415s-9.91081,7.4331-3.71656,9.9108,44.59863,14.86621,44.59863,8.672-2.4777-8.672-2.4777-8.672l16.10506-167.24485-8.672-69.37564s-58.226-4.9554-53.27058-70.61449c0,0,14.24513-29.586,28.30748-35.16872a.80881.80881,0,0,0-.05847-1.53576l-5.709-1.63114a.78364.78364,0,0,0-.47516.00881C238.61313,351.75431,217.13445,359.50316,206.6371,379.33148Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#2f2e41"
            />
            <path
                d="M235.13067,695.23842l-.19789,1.781a81.99877,81.99877,0,0,1-10.83258,32.13387c-2.77387,4.76759-4.89761,10.1528-3.83574,14.40028,2.4777,9.91081,1.23885,13.62736,1.23885,13.62736h19.82161v-3.71655l11.0666,3.01816a12.25833,12.25833,0,0,0,7.51617-.23075c2.4777-.92913,4.9554-2.78741,4.9554-6.504,0-3.09713-2.36586-5.97918-5.126-8.28768a36.79668,36.79668,0,0,1-12.07914-18.45832l-.13874-.50872,7.4331-27.25472Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#2f2e41"
            />
            <path
                d="M183.71836,695.85785l-.19789,1.781a81.9986,81.9986,0,0,1-10.83257,32.13387c-2.77387,4.76759-4.89762,10.1528-3.83575,14.40029,2.47771,9.91081,1.23886,13.62736,1.23886,13.62736h19.82161v-3.71655l11.0666,3.01816a12.25845,12.25845,0,0,0,7.51616-.23075c2.4777-.92914,4.9554-2.78741,4.9554-6.504,0-3.09712-2.36586-5.97917-5.126-8.28768a36.79671,36.79671,0,0,1-12.07914-18.45832l-.13874-.50871L203.54,695.85785Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#2f2e41"
            />
            <path
                d="M247.44578,318.89036s19.5238-11.27924,27.08422-11.9629c0,0,2.20148-4.95595-.17248-9.72469,0,0-1.15187-15.29909-20.24881-14.70481,0,0-22.55557-12.21851-30.1277-7.22994s-24.4325,28.926-17.31064,43.23218c0,0-8.23285,4.14224-8.62461,1.91248s-6.50793,3.75975,1.567,8.919c0,0-11.30265,11.4419-.31578,18.60306,0,0-.50284-10.14785,5.8706-13.21588s.79522.15461.79522.15461-10.91088,13.67165,5.38524,18.9936c0,0-6.08107-6.92521.0351-12.91471,0,0-1.89451,13.98893,9.373,15.46175,0,0-5.8121-8.30865-2.754-11.3034,0,0,1.29807,10.30246,7.65981,11.53934l4.77131.92766,1.61384-8.3006s-4.53744,10.60363,6.06937,11.23013c0,0-5.128-16.07214,1.66064-25.52022S247.44578,318.89036,247.44578,318.89036Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#2f2e41"
            />
            <ellipse
                cx="209.73423"
                cy="278.36514"
                rx="11.76908"
                ry="9.29138"
                transform="translate(-296.50068 141.79257) rotate(-52.86029)"
                fill="#2f2e41"
            />
            <path
                d="M219.84887,277.77131a13.75672,13.75672,0,0,0-6.1789,4.67353,14.01265,14.01265,0,0,0-2.7079,6.20359,13.75689,13.75689,0,0,0,6.17891-4.67353A14.01317,14.01317,0,0,0,219.84887,277.77131Z"
                transform="translate(-157.7025 -135.69961)"
                fill={colorCtx?.primary || "#0E5396"}
            />
            <path
                d="M314.436,513.76152l-1.57358-2.09989L324.285,503.102a9.65214,9.65214,0,0,0,3.7821-8.88863l-5.6586-45.695a19.02,19.02,0,0,1,7.45317-17.51885l12.45024-9.32972a11.1361,11.1361,0,0,1,15.57176,2.23105l2.8835,3.84795-2.09989,1.57357-2.8835-3.848a8.50886,8.50886,0,0,0-11.89829-1.70472l-12.45025,9.32971a16.39036,16.39036,0,0,0-6.42275,15.09619l5.6583,45.69523a12.28027,12.28027,0,0,1-4.81221,11.31107Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#cfcce0"
            />
            <polygon
                points="160.807 381.935 170.12 369.67 166.972 365.471 153.009 371.529 92.055 413.648 102.845 428.047 160.807 381.935"
                fill="#cfcce0"
            />
            <rect
                x="373.55241"
                y="414.99586"
                width="29.23953"
                height="105.5247"
                rx="7.2724"
                transform="translate(-360.66506 190.5132) rotate(-36.84643)"
                fill="#e6e6e6"
            />
            <path
                d="M427.1516,495.39556l-1.686-2.24989-.33719-.45a7.27077,7.27077,0,0,1-1.4583,10.1785l-11.762,8.814a7.2708,7.2708,0,0,1-10.17851-1.45834l.3372.45,1.686,2.24988A7.27081,7.27081,0,0,0,413.9313,514.388l11.762-8.814A7.27077,7.27077,0,0,0,427.1516,495.39556Z"
                transform="translate(-157.7025 -135.69961)"
                opacity="0.2"
            />
            <path
                d="M392.26276,447.33054c-.10241-.1004-.18847-.18146-.1911-.137C392.16944,447.31113,392.23414,447.34238,392.26276,447.33054Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M390.41315,444.40958a.271.271,0,0,0-.103-.175Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M403.71558,462.86148c-.10882.03467.10053.26776.238.49115Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M409.47041,470.26712l.09808.13007a.89689.89689,0,0,0,.18878.02765Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M413.10731,475.68882a.49163.49163,0,0,1,.35486.15234.35385.35385,0,0,0,.11785-.17456C413.49775,475.53647,413.24085,475.66226,413.10731,475.68882Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M424.38837,491.36142l-.05462.0954a.74184.74184,0,0,0,.11151.11322Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M386.84022,439.00357l.01233.02546C386.977,439.14176,386.91657,439.07041,386.84022,439.00357Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M353.808,449.78183c-.18982-.67218.89417.6554.52924-.2973C354.3039,449.62369,353.45155,449.03385,353.808,449.78183Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M378.04578,427.54947a.41264.41264,0,0,0-.01013.19159C378.05573,427.71982,378.06391,427.67209,378.04578,427.54947Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M373.43317,424.23551a1.59675,1.59675,0,0,0-.41351.37268.2839.2839,0,0,0,.07544-.02594A.91646.91646,0,0,1,373.43317,424.23551Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M368.85383,428.547a1.06506,1.06506,0,0,0,.11737-.02881l.12665-.133Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M424.65913,491.5903c-.15516.188-.45874.4325-.5954.35065l.27-.48413c-.01947-.02258-.037-.04785-.0553-.072.017-.02277.03473-.04419.05176-.067l-3.88367-5.18261.1012.00622-.17853-.10943-.49237-.65711c.06256-.01361.14276.00592.25964.12158-.20013-.60986-.44116-.342-.571-.89752-.00592-.0675.02569-.05865.071-.02588l-.4555-.40106c.13977.04077.17578-.25525.34655.07288-.44745-.99726-1.28088-1.189-1.26941-1.69928l.07392.056c-.74738-.82215-.56238-.37714-.819-.38117l-.41474-.55346.1062-.71918-.33148.06659c-.08276-.12885-.24548-.38416-.11432-.41266-.50787-.32929-.04815.1571-.40381.0116-.218-.7547-1.31884-1.5431-1.029-1.96723-.34369-.072.2782.66956-.32129.13867.28455-.49273-.61541-.67187-.8258-1.35284.33966.003.6065.59759.39654-.08429-.608-.05042-.70367-1.106-1.113-1.50653-.30671.19659-.8595-.89417-1.52607-1.58173a21.04131,21.04131,0,0,0-1.33691-2.33624l.06445-.01569c-.39648.08332-.88769-.68786-1.34643-1.1734.19146-.1109.33246-.06732.62677.16138l-.37549-.49829a1.35057,1.35057,0,0,1-.62512-.46448l.31366-.039a11.93425,11.93425,0,0,1-1.75568-2.10962c-.16357.0716-.13953.54535-.35779.59869l-.33917-.45257a.25549.25549,0,0,1,.29437.07056c-.07269-.06653-.29913-.2074-.36883-.399l.457.2215c-.21-.45075-.30835-.08692-.52429-.41132.16265-.11224-.05994-.31494.09893-.3642.07483.068.13831.3205.28962.39325a2.60867,2.60867,0,0,1-.44458-1.09686c-.0669.098-.21277.15948-.42591-.08228-.50958-.65594.01959-.36993-.18963-.81848-.23035-.07867-.43439-.58789-.679-.422-.14453-.19538-.06128-.31391-.05371-.43689-.36188-.26593-1.23364-1.58435-1.1944-1.00837l.0495.10059-.05243-.04846c-1.07965-.95136-1.62115-2.4422-2.5606-3.48493l.0805-.05755a16.084,16.084,0,0,0-1.6944-1.79566c-.14776-.19769-.20507-.57415-.0476-.5603a3.66519,3.66519,0,0,1-.99567-1.29169c.52246.40992-.01056-.26849.49512.45026-.42884-.71429-.4148-.95935-1.16449-1.50958.384.09076-.1192-.69031-.416-.96027l.20349.57324a8.50948,8.50948,0,0,1-.72821-.98358l.39386-.02923c-.69311-1.6-2.38531-2.03467-2.61737-3.47412-.45526-.21949.42133.83538-.03711.67755a11.15594,11.15594,0,0,1-.68292-1.78418c-.49335-.96564-.98694-.50641-1.5567-1.47687-.009.18542-.18158.48358-.77222-.11817-.4331-.65118-.17712-1.06646.19464-.72912.12024.1438.14423.23877.10736.25647.18567.17609.42493.41034.34259.08581l-.15576-.00988c-.13537-.38257-.78961-1.2345-.4826-1.1493-.44422-.40435-.307-.0852-.09418.3014-.46289-.90442-.93408-1.255-1.45966-2.149.0459.17035.02491.37476-.072.24347-.78894-1.298-.57928-.39771-1.23523-1.18628-.20422-.57422.47071-.0921-.269-.82636-.27954-.57733.17206-.29553.39954-.15326a5.77723,5.77723,0,0,1-1.2204-1.9494l.37329.33857a3.83137,3.83137,0,0,1-.51452-.59546l-.02051.3684c-.141-.25732-.288-.45465-.20557-.50958-.304-.14636-.17847.42017-.70489.07215-.13575-.38227-.81092-.86634-.63916-1.1623.645,1.03907.17248-.29742.83148.49732a2.27415,2.27415,0,0,1-.43506-.58991c.00195-.05609.0769-.0061.139.04663-.47376-1.10168-.60639-.21521-1.325-1.1864.23406.01636.1015-.426-.04706-.561.28912.39178-.09729.36395-.474.08807-.35388-.70282-.5871-.61212-.81751-.94641l.22571.40942c-.23614-.0191-.44983-.34295-.81836-.74157.08289-.11988.37024.33532.30335.14465-.60926-.29273-.554-1.27789-1.22351-1.82086-.13617-.382.24438-.23.10559-.551-.7461-.61181-.41388-.95788-1.15668-1.632-.02069.37012.05572.37488-.54627-.04059l1.10529,1.195-.9007-.62347c.29029.39306.73829.73529.88141.99383-.45263-.27948-.37463-.27435-.39282.03156-.11456-.7497-.96179-.93573-1.23187-1.69922l.48681-.33527c-.486-1.08783-1.48053-1.4704-2.26647-2.76684l.20867.44952c-.30908-.02124-.58477-.72583-.954-1.05975.18531-.08209.05964-.36951.03284-.61005-.102.10809-.65155-.89178-1.04925-.765l-.19587-.695c-.6-.97827-1.40667-.93921-2.18957-2.09595.16473.04084.16071-.1123.19037-.20776.03363-.09015.10351-.11926.51391.30041-.372-.49969-.70739-1.00744-.73712-.81915a.8754.8754,0,0,0-.10052-.17486l-.06952-.08966c-.02515-.02625-.058.04888-.089.07293l-.422.51972a2.76769,2.76769,0,0,1-.792.79547c-.13885.257-.09381.50213-.50049.87658-.07.01252-.06018-.07733-.06018-.07733.01819.12238-.43756.60193-.01117.49872-1.29.38477-2.41339,2.33777-3.55206,2.63794-.58637.61639-1.31171,1.3407-1.88989,1.85028-.0011-.07709-.06226-.07623.06146-.15576-.92377.55286-.12457.86224-1.18976,1.48071-.6795.15009.38379-.5437.01-.38989-.54364-.39264-1.0625,1.0047-1.94086,1.2121l.12927-.15271c-.61724.21869-1.02893,1.13672-1.86547,1.71631,0,0,.00421-.07569-.05481-.08161a9.59391,9.59391,0,0,1-2.08655,2.20252c.10077-.383.28406-.36634-.01782-.46888-.33594.283.34716.26227-.32666.82874-.31281.05206-.89777.31732-1.12519.13354l.66571-.48358c-.545-.04455-.86645.617-1.26129.809l-.04162-.16c-1.0094.75073-.817,1.07672-1.97138,1.79334l.18128.02362c-.41974.72949-.64447.14312-1.12183.77935l-.39612-.22a19.168,19.168,0,0,1-2.00732,1.70191,12.3795,12.3795,0,0,1,1.55755-1.61377,5.53678,5.53678,0,0,0-1.52368,1.14746c.15076-.13.31409-.33838.51081-.3822a4.71669,4.71669,0,0,1-1.83863,1.54828c-.07086-.39277-.91192-.01239-1.93011.48541l-.38452.18835-.19611.09571c-.06317.03259-.16614.05609-.08228.12231.15674.22406.30744.44592.44.65765a3.07241,3.07241,0,0,1,.4942,1.10309c.21521.24457.4281.48657.64087.72833.14184.16242.277.33014.40771.50232.26142.34443.50476.70679.74756,1.08069.48553.74787.96863,1.542,1.58838,2.33112.0498-.92652.36475.45862.78009-.00653.30719.34533.40655.49365.40283.55273l-.03754-.0918.03785.09821.0014-.001.55621,1.35041c.05884.37536-.37439-.27484-.45843-.15815.576.84687.04993.499.326,1.13813.0918-.24219.464.09692.74689.61371l-.26685-.82636c1.11786.9491.33051,1.29681,1.4527,2.2569l-.42731-.24939c.53436.5238,1.633,2.18573,2.46082,2.47131.022.147-.00818.38562-.23877.15161,1.001,1.45868,2.77771,2.83515,3.35943,4.11591l-.2-.0177c.2323.23791.56909.29083.69623.71155-.06232.01995-.1991-.01679-.11456.11065a3.36645,3.36645,0,0,1,.92718.94586l-.35852-.198c.8772,1.49713,1.91455,1.8717,2.86359,2.96722-.35449.261.3446,1.43237.69354,2.017l-.064.01843a38.81443,38.81443,0,0,0,3.59009,3.89435c.30969,1.21,2.18427,3.24823,3.08191,4.89319-.106-.275.30219-.16876.53528.0686.1897.40173.96588.77973.60138.96662l-.08679-.12885c-.12024.49994.50061,1.15253.91064,1.718l.4917-.22449c.48084,1.92255,3.09625,3.66126,3.14362,4.87177.37.27343.69616.7116,1.0639.982l-.24078.15094a25.91469,25.91469,0,0,0,1.97137,2.69788l-.34662-.125c.49622.69238,1.29816.371,1.78253.98968l-.19641.44257c.89618,1.18493,1.501,2.611,2.68817,3.55591-.0639.01782-.188.05615-.34594-.1261.41064.56628,1.39331,2.33648,1.70526,1.78534-.29187.24041.88971,1.24884,1.50415,1.79113l-.29785.06714a3.09089,3.09089,0,0,1,1.428.98505c.1054.20117-.0608.291-.18226.01.33106.68518.56019.30743.98444,1.121l-.34479-.16327a1.49325,1.49325,0,0,0,.90314.73584c.37921.31958.81787,1.20862.68427,1.45056a1.11583,1.11583,0,0,1,.81518.61029c-.03955.106-.18567.00947-.25848-.03961.61871,1.14191,1.405,1.3346,1.71588,2.20581a.21383.21383,0,0,0-.04364.21918c-.60657-.821-1.0874-1.48785-1.025-1.43841-.20556.15405.25281.84088-.4245.52874a7.00628,7.00628,0,0,1,1.95258,1.78241.369.369,0,0,1-.00739.13837l-.07293-.04932a1.23376,1.23376,0,0,0,.33783.38166,4.06455,4.06455,0,0,0,.33722.579c-.11292.20349.47534.82531.71368,1.16046.20453-.19574.49115.26208.37457-.2807.02289.06445-.07354-.04193-.24682-.25373a.9057.9057,0,0,0-.12842-.1228l.03656.00763-.62787-.80652a1.41153,1.41153,0,0,1,.75647.83118c.27112.06055.559.135.70721.18738.02363.68536.5044,1.68029.40149,1.946.43946.455.90363,1.031,1.36988,1.53272a9.00478,9.00478,0,0,0,.7138.693,2.6172,2.6172,0,0,0,.81916.59393.90593.90593,0,0,1,.258.44538c.03961.14624.10266.13189.17566.17254a.95794.95794,0,0,1-.2265.10035l-.1488-.16315a.99328.99328,0,0,0-.2555-.22583c.198.13171.33228.61651.71784.31061l.99456-.40448a3.34126,3.34126,0,0,0,.65882-.333c.14331-.09961.23529-.199.2431-.3006.90515-.18091-.35681.50739.7876-.01282l-.11658.16785c2.55536-.384,3.30152-2.40973,6.01734-3.06744-.189.05084-.28229.07763-.34644.04235,2.91382-1.22705,5.21967-3.687,7.87927-5.26312.74243-.47955.64386-.73706.91925-1.22259l.34284.09613.43457-.86768c.73742-1.07092,2.12268-1.0354,2.891-2.56787l-.29413.01453c.43433-.39606,1.14124-1.46045,1.25671-1.22974a.36534.36534,0,0,1,.19886-.384l.13153.08978c.24774-.41956.47571-.853.71246-1.27631.79047-.79107.389.54456,1.42383-.72131C424.51856,492.59812,424.88337,491.47281,424.65913,491.5903Zm-5.37311-7.07721a.25651.25651,0,0,1,.00885.08527l-.19885-.26538C419.15821,484.39072,419.2187,484.44522,419.286,484.51309Zm-24.25574,20.168.04694.00519a.347.347,0,0,1-.17774-.00183c-.19574-.19488-.20654-.30127-.18292-.36584C394.79792,504.419,394.89606,504.53415,395.03028,504.68112Z"
                transform="translate(-157.7025 -135.69961)"
                fill={colorCtx?.primary || "#0E5396"}
            />
            <path
                d="M395.48939,504.85678a.75118.75118,0,0,1,.084.07795,1.58872,1.58872,0,0,0-.04724-.16846l-.1286-.02466Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M404.04725,463.54306a.21648.21648,0,0,1,.01385.08521.2392.2392,0,0,1,.00293-.05213Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M416.77186,480.09262c-.5459-1.2688-.0282.36744-.83014-.77563l.57349.90124C416.49049,480.00412,416.46052,479.72068,416.77186,480.09262Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M414.2765,476.467c-.29682-.2312-.36945-.28662-.1894.11243C414.47071,477.00711,414.2093,476.47953,414.2765,476.467Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M399.77454,457.47806l.23926-.1073C399.71979,457.03977,399.93195,457.42685,399.77454,457.47806Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <polygon
                points="238.265 315.803 237.749 315.269 238.12 315.67 238.265 315.803"
                fill="#7f77ff"
            />
            <path
                d="M369.44935,427.67514l.30963.143C369.93916,427.57566,369.74531,427.273,369.44935,427.67514Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <path
                d="M355.22633,438.8422a6.01886,6.01886,0,0,0,.87439-.4231A1.06058,1.06058,0,0,0,355.22633,438.8422Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#7f77ff"
            />
            <polygon
                points="217.624 343.108 218.087 343.58 217.917 343.324 217.624 343.108"
                fill="#7f77ff"
            />
            <path
                d="M247.55645,400.57121l1.821,52.47189L277.871,519.941s-7.4331,34.68782,7.43311,33.449,1.23885-34.68782,1.23885-34.68782L272.91562,448.0877l-2.4777-58.226Z"
                transform="translate(-157.7025 -135.69961)"
                fill="#a0616a"
            />
            <polygon
                points="100.347 228.146 101.028 223.466 106.541 225.669 123.885 252.923 87.958 271.506 100.347 228.146"
                fill="#cfcce0"
            />
        </svg>
    );
}
